import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { WjCoreModule } from 'wijmo/wijmo.angular2.core';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjGridFilterModule} from 'wijmo/wijmo.angular2.grid.filter';
import {WjInputModule} from 'wijmo/wijmo.angular2.input';
import { WjOlapModule } from "wijmo/wijmo.angular2.olap";

import { AppComponent } from './app.component';
import {DataSvc} from "./services/DataSvc";
@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    WjCoreModule,
    WjGridModule,
    WjGridFilterModule,
    WjOlapModule,
    WjInputModule
  ],
  providers: [DataSvc],
  bootstrap: [AppComponent]
})
export class AppModule { }
